# binaryninja.scriptingprovider.PythonScriptingInstance

class `binaryninja.scriptingprovider.``PythonScriptingInstance`(provider)
  `__init__`(provider)

  Methods

  `__init__`(provider) |
  `error`(text) |
  `execute_script_input`(text) |
  `output`(text) |
  `perform_destroy_instance`() |
  `perform_execute_script_input`(text) |
  `perform_set_current_address`(addr) |
  `perform_set_current_basic_block`(block) |
  `perform_set_current_binary_view`(view) |
  `perform_set_current_function`(func) |
  `perform_set_current_selection`(begin, end) |
  `register_output_listener`(listener) |
  `set_current_address`(addr) |
  `set_current_basic_block`(block) |
  `set_current_binary_view`(view) |
  `set_current_function`(func) |
  `set_current_selection`(begin, end) |
  `unregister_output_listener`(listener) |

  Attributes

  `input_ready_state` |